import {SimpleTransition} from "../../gamesystems/transitions/SimpleTransition";
import {TemplateElement} from "../TemplateElement";
import {ScriptAccountCondition} from "../../gamesystems/conditions/ScriptAccountCondition";
import {ScriptAccountAction} from "../../gamesystems/actions/ScriptAccountAction";

export class SimpleTemplateTransition extends SimpleTransition{
  conditionMap: Map<TemplateElement, ScriptAccountCondition[]> = new Map();
  actionMap: Map<TemplateElement, ScriptAccountAction[]> = new Map();

  addTemplateElement(templateElement: TemplateElement) {
    this.conditionMap.set(templateElement, [])
    this.actionMap.set(templateElement, [])
  }

  removeTemplateElement(templateElement: TemplateElement) {
    this.conditionMap.delete(templateElement)
    this.actionMap.delete(templateElement)
  }
}
